import javax.swing.*;
//import inovaProg.*;
import java.io.*;
class Gui{
		//Declaraciones
		static String tabla="Usuario";
		static int numeroCampos  =  6;
		static int numCamposLlave=0;
		static String LLave ="";
		static String extension ="txt";
		static String preFijo =tabla + "_";
		static String directorioDeDatos =tabla + "\\";
		static String[]   etiquetas    =  new String [numeroCampos] ;   
		static String[] tiposCampos    =  new String [numeroCampos] ;
        static String[] valoresCampos  =  new String [numeroCampos] ;
        static boolean[]  esLLave      =  new boolean [numeroCampos] ;
        static String titulo = "Ejemplo de captura";
       
public static void inicializaCampos() {
   	   //Inicializacion de campos
   	   //Nombres o descripciones para cada una de las cajas de texto de los campos
        etiquetas[0]="Usuario";
        etiquetas[1]="Contrasea";
        etiquetas[2]="Perfil";
        etiquetas[3]="Fecha";
        etiquetas[4]="Credito";
        etiquetas[5]="Tel.";
        //Tipos de los campos "S".- Cadena texto, "I".- Entero, "F".- Flotante, "D".- Fecha 
        tiposCampos[0]="S";
        tiposCampos[1]="S";
        tiposCampos[2]="I";
        tiposCampos[3]="D";
        tiposCampos[4]="F";
        tiposCampos[5]="S";
        //Incia con valores por defecto
        for (int i=0; i<numeroCampos; i++)
               {valoresCampos[i]="";
                esLLave[i]=false;
               }
        //Valores de cada campo, aparecen por defecto       
        valoresCampos[0]="Manuel";
        valoresCampos[1]="453beta";
        valoresCampos[2]="5";
        valoresCampos[3]="12/11/2010";
        valoresCampos[4]="43000.00";
        valoresCampos[5]="19191919";
        //Marcar campos llave deben de estar al inicio del registro uno tras otro
        esLLave[0]=true;
        //Cuenta el numero de campos LLave
        for (int i=0; i<numeroCampos; i++)
               {if (esLLave[i])
               	    numCamposLlave++;
               }
        //Tomar la apariencia de windows
        aparienciaDeWindows();
        generaDirectorioDeDatos(tabla);
}
 public static void menuAplicacion() {
   	int opcion=0;
  	String menu   ="Menu de la aplicacion de " + tabla +
  		           "\n1.-Alta Registro  " +
  		           "\n2.-Consulta Registro  " +  
  		           "\n3.-Actualiza Registro  " + 
  		           "\n4.-Borra Registro   " +
  		           "\n5.-Selecciona De Registros   " +
  		           "\n9.-Termina   \n" ;
  	opcion=Ip.wlee(menu,opcion);
  	do{ switch (opcion)
  		 { case 1:
  		 	altaRegistro();
  		 	break;
  		   case 2:
  		 	consultaRegistro();
  		 	break;	
  		   case 3:
  		 	actualizaRegistro();
  		 	break;
  		   case 4:
  		 	borraRegistro();
  		 	break;
  		   case 5:
  		 	seleccionaRegistro();
  		 	break;
  		 	case 9:
  		 	System.exit(0);		
  		   default:
  		   	Ip.wescribeMensaje("Opcion "+ opcion + "Invalida");		           
  		 }
  		opcion=Ip.wlee(menu,opcion);         	
  	   } while (opcion!=9);
   }
   
   public static void altaRegistro() {
   	  Ip.wescribeMensaje("Alta de Registro");
   	  Ip.wleeDatos("Datos para " + tabla,
	                  etiquetas,
	                  valoresCampos,
	                  tiposCampos,
	                  numeroCampos);
        //Forma Llave
        LLave ="";
        for (int i=0; i<numCamposLlave; i++)
               {if(esLLave[i])
               	    LLave +=valoresCampos[i].trim();
               }
        LLave = directorioDeDatos + preFijo+LLave+"."+extension;       
        //Investigar si existe el registro
        if (Ip.existeArchivo(LLave))
            {
        	Ip.escribeMensaje("El registro con identificacion ("+LLave+") ya existe proceda a actualizarlo");
        	return;
            }
        escribeRegistro(LLave);           
  	}
  
 public static void consultaRegistro() {
 	   Ip.wescribeMensaje("Consulta de Registro");
 	   seleccionaRegistro(); 
   	   }
  public static void actualizaRegistro() {
 	   Ip.wescribeMensaje("Actualiza Registro");
 	   leeLLave();
 	   leeRegistro(LLave); 
   	   Ip.wleeDatos("Datos para " + tabla,
	                  etiquetas,
	                  valoresCampos,
	                  tiposCampos,
	                  numeroCampos);
	   escribeRegistro(LLave);
        }
   public static void borraRegistro() {
 	   boolean r = false;
 	   Ip.wescribeMensaje("Borra Registro");
 	   leeLLave();
 	   leeRegistro(LLave); 
   	   Ip.wmuestraDatos("Datos para " + tabla,
	                  etiquetas,
	                  valoresCampos,
	                  tiposCampos,
	                  numeroCampos);
	   r=Ip.wleeRespuesta("Desea eliminar permanentemente este registro?");
	   if(r) 
	      Ip.borraArchivo(LLave);
        } 
        	
     public static void seleccionaRegistro() {
       String nombreArchivoSeleccionado="";
       boolean r = true;
 	   String[] filt = new String[1];
	   filt[0]=extension;
	   String[] pre = new String[1];
	   pre[0]=preFijo;
	   Ip.wescribeMensaje("Selecciona Registro"); 
	   //Selecciona un archivo ubicandose en el difrectorio actual
	   while (r)
	      {
	       nombreArchivoSeleccionado=Ip.seleccionaArchivo(
	        	                      new File(directorioDeDatos), // Directorio actual
	        	                      "Seleccione un registro", //encabezado
	        	                      filt, //Filtro utilizado para post fijos
	        	                      pre //Filtro utilizado para pre fijos
	        	                      );
	       
	       
	 	   leeRegistro(nombreArchivoSeleccionado); 
	   	   Ip.wmuestraDatos("Datos para " + tabla,
		                  etiquetas,
		                  valoresCampos,
		                  tiposCampos,
		                  numeroCampos);
		   r=Ip.wleeRespuesta("Desea otro registro?");
		   if(!r) 
	        LLave = nombreArchivoSeleccionado;
         }
      }
     public static void leeLLave() {
   	   //Inicializacion de campos
   	   boolean existe = false;
   	    Ip.wleeDatos("Identificacin del registro",
	                  etiquetas,
	                  valoresCampos,
	                  tiposCampos,
	                  numCamposLlave);
        //Forma Llave
        LLave ="";
        for (int i=0; i<numCamposLlave; i++)
               {LLave +=valoresCampos[i].trim();
               }
        LLave = directorioDeDatos+preFijo+LLave+"."+extension;
        existe = Ip.existeArchivo(LLave);
        if (!existe)
            {
        	Ip.escribeMensaje("El registro con identificacion ("+LLave+")\nno existe, seleccione un registro...");
        	seleccionaRegistro();
        	return;
            }
  	}
    public static void escribeRegistro(String nombreArchivo) {
   	    Ip.abreArchSalidaNuevo(nombreArchivo);
        for (int i=0; i<numeroCampos; i++)
               {
               	    Ip.escribeEnArch(valoresCampos[i].trim());
               }
        Ip.cierraArchSalida();       
  	}       	          
   
    public static void leeRegistro(String nombreArchivo) {
   	    Ip.abreArchEntrada(nombreArchivo);
        for (int i=0; i<numeroCampos; i++)
               {
               	valoresCampos[i]=Ip.leeDeArch();
               }
        Ip.cierraArchEntrada();       
  	}
  	public static void aparienciaDeWindows() {
   	    JFrame.setDefaultLookAndFeelDecorated(true);
		JDialog.setDefaultLookAndFeelDecorated(true);
		try
		{
			UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
		}
		catch (Exception ex)
		{
			System.out.println("Failed loading L&F: ");
			System.out.println(ex);
		}     
  	}
   public static void generaDirectorioDeDatos(String t) {
   	    //Si ya existe el directorio de datos no lo genera
   	    if (!Ip.existeArchivo(directorioDeDatos+"\\."))
   	         Ip.ejecutaConsola("MD "+t);
  	}
   public static void main(String[] args)
	{   
	    inicializaCampos();
		menuAplicacion();
    }//Termina el proceso principal
}//Termina el programa
