/**
 * @(#)OperacionesDeSeleccionDeArchivosYDirectorios.java
 *
 *
 * @Dr. Manuel Prieto 
 * @version 1.00 2010/1/20
 */
import java.io.*;
class OperacionesDeSeleccionDeArchivosYDirectorios {
    public static void main(String[] args) {
        //Declaracion de variables
        String nombreArchivoSeleccionado;
        String nombreDirectorioSeleccionado;
        /*
         *Seleccionar un archivo
         */
        //Selecciona un archivo ubicandose en el difrectorio actual
        nombreArchivoSeleccionado=Ip.seleccionaArchivo(new File("."));
        Ip.wescribeMensaje("Archivo seleccionado ("+nombreArchivoSeleccionado+")");
        //Selecciona un archivo ubicandose en el difrectorio raiz C:\ dos \\ representan un \
        nombreArchivoSeleccionado=Ip.seleccionaArchivo(new File("C:\\") );
        Ip.wescribeMensaje("Archivo seleccionado ("+nombreArchivoSeleccionado+")");
        //Selecciona un archivo ubicandose en el directorio actual
        //Utilizando un encabezado en la ventana
        nombreArchivoSeleccionado=Ip.seleccionaArchivo(new File("."),"Favor de seleccionar un archivo");
        Ip.wescribeMensaje("Archivo seleccionado ("+nombreArchivoSeleccionado+")");
        /*
         *Seleccionar un directorio
         */
        //Selecciona un directorio ubicandose en el directorio actual
        nombreDirectorioSeleccionado=Ip.seleccionaDirectorio(new File("."));
        Ip.wescribeMensaje("Directorio seleccionado ("+nombreDirectorioSeleccionado+")");
        //Selecciona un directorio ubicandose en el difrectorio raiz C:\ dos \\ representan un \
        nombreDirectorioSeleccionado=Ip.seleccionaDirectorio(new File("C:\\") );
        Ip.wescribeMensaje("Directorio seleccionado ("+nombreDirectorioSeleccionado+")");
        //Selecciona un directorio ubicandose en el difrectorio actual
        //Utilizando un encabezado en la ventana
        nombreDirectorioSeleccionado=Ip.seleccionaDirectorio(new File("."),"Favor de seleccionar un directorio");
        Ip.wescribeMensaje("Directorio seleccionado ("+nombreDirectorioSeleccionado+")");
        /*
         *Seleccionar un archivo con filtros
         */
        //Declarar un filtro sencillo
        //Filtro para post fijos .java
        //este filtro pre selecciona archivos terminados en .java
        String filtro = "java";
		//Selecciona un archivo ubicandose en el difrectorio actual
        nombreArchivoSeleccionado=Ip.seleccionaArchivo(
        	                      new File("."), // Directorio actual
        	                      "Seleccion de archivos que terminan en .java", //encabezado
        	                      filtro //Filtro utilizado
        	                      );
        Ip.wescribeMensaje("Archivo seleccionado ("+nombreArchivoSeleccionado+")"); 
        //Declarar los filtros
        //Filtro para post fijos .java, .txt, .c
        //este filtro pre selecciona archivos terminados en .java, .txt, .c
        String[] fi = new String[3];
		fi[0]="java";
		fi[1]="txt";
		fi[2]="c";
		//Selecciona un archivo ubicandose en el difrectorio actual
        nombreArchivoSeleccionado=Ip.seleccionaArchivo(
        	                      new File("."), // Directorio actual
        	                      "Seleccion de archivos que terminan en .java, .txt, .c", //encabezado
        	                      fi //Filtro utilizado
        	                      );
        Ip.wescribeMensaje("Archivo seleccionado ("+nombreArchivoSeleccionado+")");
        //Declarar los filtros
        //filt es el filtro para post fijos .java, .txt, .c
        //pre es el filtro para pre fijos Operaciones, Ip
        //este filtro pre selecciona archivos terminados en .java, .txt, .c y
        //que inician en Operaciones o Ip
        String[] filt = new String[3];
		filt[0]="java";
		filt[1]="txt";
		filt[2]="c";
		String[] pre = new String[2];
		pre[0]="Operaciones";
		pre[1]="Ip";
		//Selecciona un archivo ubicandose en el difrectorio actual
        nombreArchivoSeleccionado=Ip.seleccionaArchivo(
        	                      new File("."), // Directorio actual
        	                      "Seleccion de archivos que terminan en .java, .txt, .c e inician con Operaciones o Ip", //encabezado
        	                      filt, //Filtro utilizado para post fijos
        	                      pre //Filtro utilizado para pre fijos
        	                      );
        Ip.wescribeMensaje("Archivo seleccionado ("+nombreArchivoSeleccionado+")");
        //termina la ejecucion de la maquina virtual de java 
        System.exit(0);
    }
}
