/**
 * @(#)ActualizacionDeArchivos.java
 *
 *
 * @Dr. Manuel Prieto 
 * @version 1.00 2010/1/20
 * Este ejemplo agrega registros al final del archivo generado por el programa ArchivosCreacion.java
 */
import java.io.*; 
class ActualizacionDeArchivos {
    public static void main(String[] args) {
    {	
        //Declaracion de variables
        boolean r;
        String nombreArchivo="";
        //Declaracin del registro (linea) del archivo
        int numero=0;
        String nombre="";
        float peso=0;
        //Seleccion del archivo
        nombreArchivo=Ip.seleccionaArchivo(new File("."),"Favor de seleccionar un archivo para su lectura","txt");
        //Abrir el archivo como ya existente para que los registros se agreguen al final
        //respetando el contenido original del archivo
        Ip.abreArchSalidaYaExistente(nombreArchivo);
        //Preparar el inicio del ciclo de generacin del archivo
        r=true;
        numero=Ip.wlee("Folio de inicio para agregar los registros nuevos: ",numero);
        //Ciclo de generacion del archivo
        while(r)
        {
        	//Lee datos del usuario
        	nombre=Ip.wlee("Nombre ",nombre);
        	peso=Ip.wlee("Peso   ",peso);
        	//Escribe datos en el archivo
        	Ip.escribeEnArch(numero);
        	Ip.escribeEnArch(nombre);
        	Ip.escribeEnArch(peso);
        	//prepara la siguiente ejecucion del ciclo
        	numero++;	
        	r=Ip.wleeRespuesta("Desea agregar otro registro?");	
        }
        Ip.cierraArchSalida();
        Ip.wescribeMensaje("Termina la actualizacion del archivo");
        //termina la ejecucion de la maquina virtual de java 
        System.exit(0);	
    } 
}}
