package inovaProg;
/**
 * @(#)modeloTabla.java
 *
 *
 * @author 
 * @version 1.00 2009/2/26
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import java.util.Date;
import java.util.GregorianCalendar;
import java.text.*;
public class IpModeloTabla extends AbstractTableModel {
       String [] columnNames;
       Object [][] data;      
       public IpModeloTabla(String[] names, Object[][] d) {
            columnNames = names;
            data = d;
            return;
        }
        //nicamente retornamos el numero de elementos del
        //array de los nombres de las columnas
        public int getColumnCount() {
            return columnNames.length;
        }
        public void setData(Object[][] d) {
            data = d;
        }
        //retormanos el numero de elementos
        //del array de datos
        public int getRowCount() {
            return data.length;
        }
        //retornamos el elemento indicado
        public String getColumnName(int col) {
            return columnNames[col];
        }
        //y lo mismo para las celdas
        public Object getValueAt(int row, int col) {
            return data[row][col];
        }
         /*
          * Este metodo sirve para determinar el editor predeterminado
          * para cada columna de celdas
          */
        public Class getColumnClass(int c) {
            return getValueAt(0, c).getClass();
        }
         /*
          * No tienes que implementar este mtodo a menos que
          * las celdas de tu tabla sean Editables
          */
        public boolean isCellEditable(int row, int col) {
                return true;
        }
         /*
          * No tienes que implementar este mtodo a menos que
          * los datos de tu tabla cambien
          */
        public void setValueAt(Object value, int row, int col) {
            data[row][col] = value;
            fireTableCellUpdated(row, col);
        }
}
 